<?php

namespace AppBundle\Controller;

use AppBundle\Entity\Realisateur;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;

class AjaxController extends Controller
{
    /**
     * @Route("/ajax", name="ajax_recherche")
     */
    public function ajaxAction (Request $request)
    {
        $realisateur = new Realisateur();
        $realisateur->setNom('Drouhard');
        $realisateur->setPrenom('François');

        $realisateur = $this->get('serializer')->serialize($realisateur, 'json');
        return new JsonResponse($realisateur);
    }

    /**
     * @Route("/rqajax", name="ajax_requete_ajax")
     */
    public function requeteAjaxAction(Request $request)
    {
        $em = $this->getDoctrine()->getManager();
        $repo = $em->getRepository('AppBundle:Realisateur');
        $resultats = $repo->findByNom($request->request->get('mot_cle'));
        if ($request->isXmlHttpRequest())
        {
            foreach ($resultats as $key=>$realisateur) {
                $resultats[$key] = $this->get('serializer')->serialize($realisateur, 'json');
            }
            return new JsonResponse($resultats);
        }
        return $this->render ('@App/videotheque/testajax.html.twig', array (
            'realisateurs' => $resultats
        ));
    }
}
